Package net.shibboleth.idp.authn.spnego.impl

# Class KerberosRealmSettings

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.authn.spnego.impl.KerberosRealmSettings

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`

public class KerberosRealmSettings extends AbstractInitializableComponent
Kerberos realm settings for the SPNEGO authentication flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`keytab`
The keytab to use (keytab and password are mutually exclusive).
`private String`
`password`
The password to use (keytab and password are mutually exclusive).
`private String`
`servicePrincipal`
The service's principal.

## Constructor Summary

Constructors
Constructor
Description
`KerberosRealmSettings()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`String`
`getKeytab()`
Get the keytab.
`String`
`getPassword()`
Get the password.
`String`
`getServicePrincipal()`
Get the service principal name.
`void`
`setKeytab(String newKeytab)`
Set the keytab to use.
`void`
`setPassword(String newPassword)`
Set the password to use.
`void`
`setServicePrincipal(String principal)`
Set the service principal name.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### servicePrincipal

@NonnullAfterInit private String servicePrincipal
The service's principal.

### keytab

@Nullable private String keytab
The keytab to use (keytab and password are mutually exclusive).

### password

@Nullable private String password
The password to use (keytab and password are mutually exclusive).

## Constructor Details

### KerberosRealmSettings

public KerberosRealmSettings()

## Method Details

### setServicePrincipal

public void setServicePrincipal(@Nonnull @NotEmpty String principal)
Set the service principal name. Required.

Parameters:
  `principal` - service principal

### getServicePrincipal

@NonnullAfterInit @NotEmpty public String getServicePrincipal()
Get the service principal name.

Returns:
  service principal

### setKeytab

public void setKeytab(@Nullable String newKeytab)
Set the keytab to use. keytab and password are mutually exclusive.

Parameters:
  `newKeytab` - keytab to use

### getKeytab

@Nullable public String getKeytab()
Get the keytab.

Returns:
  keytab

### setPassword

public void setPassword(@Nullable String newPassword)
Set the password to use. keytab and password are mutually exclusive.

Parameters:
  `newPassword` - password to use

### getPassword

@Nullable public String getPassword()
Get the password.

Returns:
  password

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`